<script setup>
import { ref, onMounted, onBeforeMount } from "vue";
import axios from "axios";

const amiibos = ref();

onBeforeMount(() => {
  axios.get("https://www.amiiboapi.com/api/amiibo/").then((response) => {
    amiibos.value = response.data;
  });
});
</script>

<template>
  <section id="main">
    <div class="container">

      <!-- Content -->
      <article class="box post">

        <header>
          <h2>Ma Collection</h2>
          <p>(ici le nombre d'amiibo)</p>
        </header>

        <table>
          <tr>
            <th>Character</th>
            <th>game Series</th>
            <th>Action</th>
          </tr>
          <tr v-for="amiboo in amiibos.amiibo" :key="amiboo.tail">
            <td>{{ amiboo.name }}</td>
            <td>{{ amiboo.gameSeries }}</td>
            <td>
                <router-link class="button" :to="{ name: 'amiibo', params: { tail: amiboo.tail } }">voir</router-link>
            </td>
          </tr>
        </table>

      </article>

    </div>
  </section>

</template>

<style>

</style>
